org.eclipse.incquery.patternlanguage.validation

## Class UnionFindForVariables

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.validation.UnionFindForVariables

- Deprecated.
  Use `UnionFind` instead.

      public class UnionFindForVariables
      extends java.lang.Object

  Just a basic Union-Find algorithm implementation for a validation problem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionFindForVariables(java.util.List<Variable> inputVariables)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrentPartitionsFormatted()` Deprecated.
    `java.util.Set<Variable>` | `getPartitionOfVariable(Variable var)` Deprecated.
    `java.util.Collection<java.util.Set<Variable>>` | `getPartitions()` Deprecated.
    `boolean` | `isMoreThanOneUnion()` Deprecated.
    `boolean` | `isSameUnion(java.util.Set<Variable> variables)` Deprecated.
    `void` | `removeVariable(Variable variable)` Deprecated.
    `void` | `unite(java.util.Set<Variable> variables)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionFindForVariables

          public UnionFindForVariables(java.util.List<Variable> inputVariables)

      Deprecated.
      Parameters:
        `inputVariables` - which are assumed to be disjoint at the start

  - ### Method Detail

    - #### isSameUnion

          public boolean isSameUnion(java.util.Set<Variable> variables)

      Deprecated.
      Parameters:
        `variables` -
      Returns:
        true if the variables are in the same union/set

    - #### unite

          public void unite(java.util.Set<Variable> variables)

      Deprecated.
      Parameters:
        `variables` - places the input variables in to the same union/set

    - #### getCurrentPartitionsFormatted

          public java.lang.String getCurrentPartitionsFormatted()

      Deprecated.
      Returns:
        a human readable string input formatted based on the underlying unions/sets

    - #### isMoreThanOneUnion

          public boolean isMoreThanOneUnion()

      Deprecated.
      Returns:
        true if there is more than one real union/set

    - #### removeVariable

          public void removeVariable(Variable variable)

      Deprecated.

    - #### getPartitions

          public java.util.Collection<java.util.Set<Variable>> getPartitions()

      Deprecated.

    - #### getPartitionOfVariable

          public java.util.Set<Variable> getPartitionOfVariable(Variable var)

      Deprecated.
      Parameters:
        `var` -
      Returns:
        the set of variables in the partition of a selected variable